Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_TypedConsumerAdmin Class Reference

`#include <CEC_TypedConsumerAdmin.h>`

Collaboration diagram for TAO_CEC_TypedConsumerAdmin:

[legend]
List of all members.

## Public Methods
| TAO_CEC_TypedConsumerAdmin (TAO_CEC_TypedEventChannel *typed_event_channel)
virtual | ~TAO_CEC_TypedConsumerAdmin (void)
void | for_each (TAO_ESF_Worker< TAO_CEC_ProxyPushSupplier > *worker ACE_ENV_ARG_DECL)
| For each elements call <worker->work()>.
virtual void | invoke (const TAO_CEC_TypedEvent &typed_event ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
| Invoke the typed event on all the consumers.
virtual void | connected (TAO_CEC_ProxyPushSupplier *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | reconnected (TAO_CEC_ProxyPushSupplier *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | disconnected (TAO_CEC_ProxyPushSupplier *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)
virtual CosEventChannelAdmin::ProxyPushSupplier_ptr | obtain_typed_push_supplier (const char *uses_interface ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTypedEventChannelAdmin::NoSuchImplementation)
virtual CosTypedEventChannelAdmin::TypedProxyPullSupplier_ptr | obtain_typed_pull_supplier (const char *supported_interface ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTypedEventChannelAdmin::InterfaceNotSupported)
virtual CosEventChannelAdmin::ProxyPushSupplier_ptr | obtain_push_supplier (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosEventChannelAdmin::ProxyPullSupplier_ptr | obtain_pull_supplier (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual PortableServer::POA_ptr | _default_POA (ACE_ENV_SINGLE_ARG_DECL)
## Private Attributes
TAO_CEC_TypedEventChannel * | typed_event_channel_
| The Event Channel we belong to.
PortableServer::POA_var | default_POA_
| Store the default POA.
TAO_ESF_Proxy_Admin< TAO_CEC_TypedEventChannel, TAO_CEC_ProxyPushSupplier, CosEventChannelAdmin::ProxyPushSupplier > | typed_push_admin_
| Implement the push side of this class.

## Constructor & Destructor Documentation

TAO_CEC_TypedConsumerAdmin::TAO_CEC_TypedConsumerAdmin | ( | TAO_CEC_TypedEventChannel * | typed_event_channel | ) |

TAO_CEC_TypedConsumerAdmin::~TAO_CEC_TypedConsumerAdmin | ( | void |  | ) | `[virtual]`

## Member Function Documentation

PortableServer::POA_ptr TAO_CEC_TypedConsumerAdmin::_default_POA | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

virtual void TAO_CEC_TypedConsumerAdmin::connected | ( | TAO_CEC_ProxyPushSupplier * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Used to inform the EC that a Supplier has connected or disconnected from it.

virtual void TAO_CEC_TypedConsumerAdmin::disconnected | ( | TAO_CEC_ProxyPushSupplier * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

ACE_INLINE void TAO_CEC_TypedConsumerAdmin::for_each | ( | TAO_ESF_Worker< TAO_CEC_ProxyPushSupplier > *worker | ACE_ENV_ARG_DECL | ) |

| For each elements call <worker->work()>.

void TAO_CEC_TypedConsumerAdmin::invoke | ( | const TAO_CEC_TypedEvent &typed_event | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| Invoke the typed event on all the consumers.

CosEventChannelAdmin::ProxyPullSupplier_ptr TAO_CEC_TypedConsumerAdmin::obtain_pull_supplier | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

CosEventChannelAdmin::ProxyPushSupplier_ptr TAO_CEC_TypedConsumerAdmin::obtain_push_supplier | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

virtual CosTypedEventChannelAdmin::TypedProxyPullSupplier_ptr TAO_CEC_TypedConsumerAdmin::obtain_typed_pull_supplier | ( | const char *supported_interface | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, CosTypedEventChannelAdmin::InterfaceNotSupported)`[virtual]`

CosEventChannelAdmin::ProxyPushSupplier_ptr TAO_CEC_TypedConsumerAdmin::obtain_typed_push_supplier | ( | const char *uses_interface | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, CosTypedEventChannelAdmin::NoSuchImplementation)`[virtual]`

virtual void TAO_CEC_TypedConsumerAdmin::reconnected | ( | TAO_CEC_ProxyPushSupplier * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

void TAO_CEC_TypedConsumerAdmin::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | `[virtual]`

| The typed event channel is shutting down, inform all the consumers of this

## Member Data Documentation

PortableServer::POA_var TAO_CEC_TypedConsumerAdmin::default_POA_`[private]`

| Store the default POA.

TAO_CEC_TypedEventChannel* TAO_CEC_TypedConsumerAdmin::typed_event_channel_`[private]`

| The Event Channel we belong to.

TAO_ESF_Proxy_Admin<TAO_CEC_TypedEventChannel,TAO_CEC_ProxyPushSupplier,CosEventChannelAdmin::ProxyPushSupplier> TAO_CEC_TypedConsumerAdmin::typed_push_admin_`[private]`

| Implement the push side of this class.

The documentation for this class was generated from the following files:

- CEC_TypedConsumerAdmin.h
- CEC_TypedConsumerAdmin.cpp
- CEC_TypedConsumerAdmin.i